package javafxevents4;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;
import javafx.event.EventHandler;
import javafx.event.ActionEvent;
import javax.swing.JOptionPane;

/**
 * Create a calculator for the Plato formula in a BorderPane.
 *
 * @author Prof. Carl B. Struck
 * @version Copyright (c) SCCC Fall 2014 - SCCC West
 */
public class JavaFXEvents4 extends Application
{
    private TextField textFieldAge;
    private TextField textFieldResult;

    private Button buttonMale;
    private Button buttonFemale;
    private Button buttonNotTelling;

    /**
     * Create the Plato formula calculator with TextField and Button controls
     * and an EventHandler to calculate the ideal age of one's spouse.
     *
     * @param primaryStage a Stage window object
     */
    @Override
    public void start(Stage primaryStage)
    {
        BorderPane border = new BorderPane();

        textFieldAge = new TextField("Enter your age here");
        textFieldAge.selectAll();
        border.setTop(textFieldAge);

        buttonMale = ( new Button("Male") );
        border.setLeft(buttonMale);

        buttonFemale = ( new Button("Female") );
        border.setCenter(buttonFemale);

        buttonNotTelling = ( new Button("I'm not telling") );
        border.setRight(buttonNotTelling);

        textFieldResult = new TextField();
        textFieldResult.setEditable(false);
        border.setBottom(textFieldResult);

        Scene scene = new Scene(border, 300, 80);

        primaryStage.setTitle("Plato Formula");
        primaryStage.setResizable(false);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
    
    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the String[] array command line parameter
     */
    public static void main(String[] args) {
        launch(args);
    }
}
